// highlights styles
.section-highlights {
    min-height: 100vh;
    position: relative;

    &__container {
        &.active {
            height: 100%;
            left: 0;
            position: fixed;
            top: 0;
            width: 100%;
            z-index: 0;

            + .highlights-carousel__nav {
                position: fixed;
            }
        }
        
    }
}

.highlights {
    position: relative;
    height: 100%;
    // &__carousel, .slick-track, .highlights__item {
    //     height: 100%;

    // }
    &__image {
        height: 100vh;
        position: relative;
        img {
            @include image-cover;
        }

        &:after {
            content: "";
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            @include background-gradient(rgba(0,0,0, 0.1), $black, vertical);
            opacity: 0.6;
        }
    }

    &__item {
        position: relative;
    }

    >.container {
        position: absolute;
        bottom: 0;
        top: 70%; 
        transform: translateY(-70%);

        width: 100%;
    }

    &__content {
        color: $white;
        width: 50%;

        h2 {
            font-size: calc-em(46px);
            margin: 0;
        }

        p {
            font-size: calc-em(20px);
        }
    }
}

@media only screen and (max-width: $bpTablet - 1) {
    .highlights {
        &__content {
            width: 100%;
            h2 {
                font-size: calc-em(30px);
            }

            p {
                font-size: calc-em(16px);
            }
        }

        &__image {
            height: 100vh;
        }
    }
}

@media only screen and (min-width: $bpDesktop) {
    .highlights {
        &__content {
            h2 {
                font-size: calc-em(52px);
                line-height: 1.3;
            }

            p {
                font-size: calc-em(18px);
                line-height: 1.6;
            }
        }
    }
}